error 127 no puedo actualizar (SOLUCIONADO)

Imagen de ibero
0 puntos

Se que este tema ya se ha tratado, pero no me sirve ninguna solución. Creo que el problema está en la falta del archivo mysql creado por el programa facturlinex y de ahí que no se pueda desinstalar. Este problema creo yo que tiene algo que ver con el programa realplayer, aunque no estoy muy seguro.
A continuación pego algunos datos:

El gestor de actualizaciones me dice
El índice de software está dañado

Es imposible instalar o desinstalar ningún programa. Por favor, utilice el gestor de paquetes «Synaptic», o ejecute «sudo apt-get install -f» en una terminal, para corregir este problema primero.

ejecuto y...
usuario@usuario:~$ sudo apt-get install -f
[sudo] password for usuario:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se instalaron de forma automática los siguientes paquetes y ya no son necesarios.
lsb-languages debhelper intltool-debian mplayer-skins libsvga1 lsb-graphics
lsb-desktop m4 po-debconf ncurses-term libqt4-core gettext libenca0
libqt4-gui libggi2 libgif4 libgii1 lsb pax libgii1-target-x lsb-multimedia
ceferino-data libtimedate-perl dpkg-dev libmozjs0d libsdl-mixer1.2
lsb-printing libraptor1 html2text patch lsb-core alien liblame0 lsb-cxx
Utilice «apt-get autoremove» para eliminarlos.
Los siguientes paquetes se ELIMINARÁN:
facturlinex
0 actualizados, 0 se instalarán, 1 para eliminar y 2 no actualizados.
1 no instalados del todo o eliminados.
Se liberarán 21,1MB después de desempaquetar.
¿Desea continuar [S/n]? s
(Leyendo la base de datos ...
150295 ficheros y directorios instalados actualmente.)
Desinstalando facturlinex ...
Haciendo una copia de su BBDD en /root...
/var/lib/dpkg/info/facturlinex.postrm: line 41: /etc/init.d/mysql: No existe el fichero ó directorio
dpkg: error al procesar facturlinex (--remove):
el subproceso post-removal script devolvió el código de salida de error 127
Se encontraron errores al procesar:
facturlinex
E: Sub-process /usr/bin/dpkg returned an error code (1)
usuario@usuario:~$

Ayer escribí a info@gnulinex.net que se supone son los responsables del programa facturlinex, pues ubuntu no me ayuda porque el paquete no viene de los repositorios oficiales y estoy esperando una respuesta.


Mientras aconsejo no instalar facturlinex hasta que no corrijan esto.


Si a alguien le ha pasado lo mismo o si sabe una solución , pues eso, que se lo agradezco de antemano. Un saludo para todos y animo que ubuntu esta muy, pero que muy bien.

SOLUCIONADO

Abrir Nautilus con privilegios de Super Usuario. (NO me a quedado más remedio)
Para ello creamos un lanzador en el escritorio, y para crear este lanzador, pinchamos con el botón derecho del ratón en escritorio, elegimos crear un lanzador como nombre ponemos Super Nautilus, en comando ponemos gksudo nautilus y aceptamos.
Pinchamos sobre el icono para abrir Super Nautilus y abrimos carpetas hasta llegar a los archivos de facturlinex (Lugares/Equipo/Sistema de archivos/var/lib/dpkg/info) Eliminamos todos los archivos que contengan la palabra facturlinex.
Cerramos Super Nautilus y abrimos Sistema Administración Gestor de paquetes Sinaptic . En instalados buscamos facturlinex lo marcamos para eliminar aplicar y a hacer puñetas, bufffff que gustazo.
Ya deja actualizar. Espero que le sirva a alguien. Un saludo a tod@s
Nota: recomiendo eliminar del escritorio Super Nautilus pues su uso es muy peligroso para nuestro sistema.

Imagen de sanipau
+1
0
-1

Yo he tienido el mismo problema, aunque no con el mismo programa.Tu solución ha funcionado a la perfección.

+1
0
-1